curl "https://api.playground.try.be/shop/hotel-room-types?site_id=00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json"
const response = await fetch('https://api.playground.try.be/shop/hotel-room-types?site_id=00000000-0000-0000-0000-000000000000', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
Accept: 'application/json',
},
})
if (!response.ok) {
throw new Error(`Trybe API ${response.status}: ${await response.text()}`)
}
const data = await response.json()
import httpx
response = httpx.get(
"https://api.playground.try.be/shop/hotel-room-types?site_id=00000000-0000-0000-0000-000000000000",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
},
)
response.raise_for_status()
data = response.json()
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.playground.try.be/shop/hotel-room-types?site_id=00000000-0000-0000-0000-000000000000', [
'headers' => [
'Authorization' => 'Bearer YOUR_API_KEY',
'Accept' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);
package main
import (
"encoding/json"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.playground.try.be/shop/hotel-room-types?site_id=00000000-0000-0000-0000-000000000000", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Accept", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)
}
Contains an array of hotel room types.
{
"data": [
{
"id": "64a9f3b2c3d8e1f4a5b6c7d8",
"name": "Deluxe Double",
"description": "Enjoy a relaxing night in our deluxe room.",
"external_id": "DDBL",
"external_source": "pms_name",
"images": [
{
"id": "00000000-0000-0000-0000-000000000000",
"file_name": "super-cool-photo.jpg",
"mime_type": "image/jpeg",
"original_url": "https://example.com/media/super-cool-photo.jpg",
"size": 84256,
"url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
}
],
"image": {
"id": "00000000-0000-0000-0000-000000000000",
"file_name": "super-cool-photo.jpg",
"mime_type": "image/jpeg",
"original_url": "https://example.com/media/super-cool-photo.jpg",
"size": 84256,
"url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
},
"updated_at": "2026-01-15T09:30:00+00:00",
"site_id": "00000000-0000-0000-0000-000000000000",
"organisation_id": "00000000-0000-0000-0000-000000000000"
}
],
"meta": {
"from": 1,
"to": 2,
"total": 2,
"current_page": 1,
"last_page": 2,
"per_page": 15,
"path": "http://example.com/api"
},
"links": {
"first": "http://example.com?page=1",
"next": "https://example.com?page=3",
"prev": "https://example.com?page=1",
"last": "https://example.com?page=4"
}
}
{
"message": "Unauthenticated"
}